OpenTTD: VideoDriver_Allegro Class Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
VideoDriver_Allegro Class Reference

The allegro video driver. More...

`#include <allegro_v.h>`

Inheritance diagram for VideoDriver_Allegro:

## Public Member Functions
const char * | Start (const char *const *param)
| Start this driver.
void | Stop ()
| Stop this driver.
void | MakeDirty (int left, int top, int width, int height)
| Mark a particular area dirty.
void | MainLoop ()
| Perform the actual drawing.
bool | ChangeResolution (int w, int h)
| Change the resolution of the window.
bool | ToggleFullscreen (bool fullscreen)
| Change the full screen setting.
bool | AfterBlitterChange ()
| Callback invoked after the blitter was changed.
bool | ClaimMousePointer ()
const char * | GetName () const
| Get the name of this driver.
Public Member Functions inherited from VideoDriver
virtual bool | HasGUI () const
| Whether the driver has a graphical user interface with the end user.
virtual void | EditBoxLostFocus ()
| An edit box lost the input focus.

## Additional Inherited Members
Public Types inherited from Driver
enum | Type { DT_BEGIN = 0, DT_MUSIC = 0, DT_SOUND, DT_VIDEO, DT_END }
| The type of driver. More...
Static Public Member Functions inherited from VideoDriver
static VideoDriver * | GetInstance ()
| Get the currently active instance of the video driver.

## Detailed Description

The allegro video driver.

Definition at line 18 of file allegro_v.h.

## Member Function Documentation

bool VideoDriver_Allegro::AfterBlitterChange | ( |  | ) |
| virtual

Callback invoked after the blitter was changed.

Returns
  True if no error.

Reimplemented from VideoDriver.

bool VideoDriver_Allegro::ChangeResolution | ( | int | w,
|  | int | h
| ) |  |
| virtual

Change the resolution of the window.

Parameters

  w | The new width.
  h | The new height.

Returns
  True if the change succeeded.

Implements VideoDriver.

const char* VideoDriver_Allegro::GetName | ( |  | ) | const
| inlinevirtual

Get the name of this driver.

Returns
  The name of the driver.

Implements Driver.

Definition at line 36 of file allegro_v.h.

void VideoDriver_Allegro::MakeDirty | ( | int | left,
|  | int | top,
|  | int | width,
|  | int | height
| ) |  |
| virtual

Mark a particular area dirty.

Parameters

  left | The left most line of the dirty area.
  top | The top most line of the dirty area.
  width | The width of the dirty area.
  height | The height of the dirty area.

Implements VideoDriver.

const char* VideoDriver_Allegro::Start | ( | const char *const * | parm | ) |
| virtual

Start this driver.

Parameters

  parm | Parameters passed to the driver.

Returns
  NULL if everything went okay, otherwise an error message.

Implements Driver.

bool VideoDriver_Allegro::ToggleFullscreen | ( | bool | fullscreen | ) |
| virtual

Change the full screen setting.

Parameters

  fullscreen | The new setting.

Returns
  True if the change succeeded.

Implements VideoDriver.

The documentation for this class was generated from the following file:

- src/video/allegro_v.h